## fwupdate-signed 1.0~15.04.2

=== Makefile ===
include /usr/share/dpkg/default.mk

PLATFORM := UNKNOWN-PLATFORM
EFI_NAME := UNKNOWN-EFI-NAME

ifeq ($(DEB_HOST_ARCH),amd64)
PLATFORM := x86_64-efi
EFI_NAME := x64
endif

ifeq ($(DEB_HOST_ARCH),arm64)
PLATFORM := arm64-efi
EFI_NAME := aa64
endif

SIGNED := \
	fwupdate.efi.signed \
	$(NULL)

all: $(SIGNED)

$(SIGNED):
	./download-fwupdate

install: $(SIGNED)
	install -d $(DESTDIR)/usr/lib/fwupdate
	install -m0644 $(SIGNED) version \
		$(DESTDIR)/usr/lib/fwupdate/

clean:
	rm -f $(SIGNED) version

=== debian/changelog ===
fwupdate-signed (1.0~15.04.2) vivid; urgency=medium

  * Backport to 15.04. (LP: #1512809)
  * debian/control: remove the Recommends for secureboot-db.
  * debian/control: fudge the version number for fwupdate Build-Depends.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 03 Nov 2015 11:05:45 -0600

fwupdate-signed (1.0) xenial; urgency=medium

  * Initial release.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 30 Oct 2015 23:43:29 -0400

=== debian/control ===
Source: fwupdate-signed
Section: utils
Priority: optional
Maintainer: Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>
Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, fwupdate (>= 0.4+git20151030.114130.df3fd37-0ubuntu1~)
Standards-Version: 3.9.6

Package: fwupdate-amd64-signed
Architecture: amd64
Depends: ${misc:Depends}, fwupdate (= ${fwupdate:Version})
Built-Using: fwupdate (= ${fwupdate:Version})
Description: Linux Firmware Updater EFI binary (EFI-AMD64 version, signed)
 fwupdate provides functionality to update system firmware. It has been 
 initially designed to update firmware using UEFI capsule updates, but 
 it is designed to be extensible to other firmware update standards.
 .
 This package contains a version of the fwupdate binary built for use with the
 EFI-AMD64 architecture, signed with Canonical's UEFI signing key.

=== debian/rules ===
#! /usr/bin/make -f

include /usr/share/dpkg/default.mk

%:
	dh $@

destdir := debian/fwupdate-$(DEB_HOST_ARCH)-signed
docdir  := $(destdir)/usr/share/doc/fwupdate-$(DEB_HOST_ARCH)-signed

override_dh_installchangelogs:
	dh_installchangelogs
	# Quieten lintian, which otherwise gets confused by our odd version
	# number.
	ln $(docdir)/changelog $(docdir)/changelog.Debian

override_dh_gencontrol:
	dh_gencontrol -- -v$(DEB_VERSION)+$(shell cat version) \
		-Vfwupdate:Version=$(shell cat version)

override_dh_auto_install:
	dh_auto_install --destdir=$(destdir)

## fwupdate-signed 1.11

=== Makefile ===
--- 
+++ 
@@ -1,20 +1,25 @@
 include /usr/share/dpkg/default.mk
 
-PLATFORM := UNKNOWN-PLATFORM
 EFI_NAME := UNKNOWN-EFI-NAME
 
 ifeq ($(DEB_HOST_ARCH),amd64)
-PLATFORM := x86_64-efi
 EFI_NAME := x64
 endif
 
+ifeq ($(DEB_HOST_ARCH),i386)
+EFI_NAME := ia32
+endif
+
 ifeq ($(DEB_HOST_ARCH),arm64)
-PLATFORM := arm64-efi
 EFI_NAME := aa64
 endif
 
+ifeq ($(DEB_HOST_ARCH),armhf)
+EFI_NAME := arm
+endif
+
 SIGNED := \
-	fwupdate.efi.signed \
+	fwup$(EFI_NAME).efi.signed \
 	$(NULL)
 
 all: $(SIGNED)

=== debian/changelog ===
fwupdate-signed (1.11) xenial; urgency=medium

  * Really build depends on 0.5-2ubuntu4

 -- Mario Limonciello <mario_limonciello@dell.com>  Sun, 20 Mar 2016 18:33:07 -0500

fwupdate-signed (1.10) xenial; urgency=medium

  * Use DPKG_MAINTSCRIPT_ARCH in postrm to identify architecture instead of
    dpkg-architecture.
  * Hardcode EFIDIR into postrm at build time.
  * Build depends fwupdate 0.5-2ubuntu4
  * Drop build-depends on lsb-release

 -- Mario Limonciello <mario_limonciello@dell.com>  Sun, 20 Mar 2016 14:13:27 -0500

fwupdate-signed (1.9) xenial; urgency=medium

  * Various arch packages aren't coinstallable (and neither is dependency fwupdate).
    Move over to fwupdate-signed package for each arch (LP: #1559578)
  * Add a postrm for fwupdate-signed.
  * Build depends on fwupdate 0.5-2ubuntu3

 -- Mario Limonciello <mario_limonciello@dell.com>  Sun, 20 Mar 2016 10:25:11 -0500

fwupdate-signed (1.8) xenial; urgency=medium

  * Add support for i386, armhf, arm64.
  * Add Provides: fwupdate-signed for all arch specific packages.

 -- Mario Limonciello <mario_limonciello@dell.com>  Fri, 18 Mar 2016 04:33:21 +0800

fwupdate-signed (1.7) xenial; urgency=medium

  * rebuild against 0.5-2ubuntu2.

 -- Mario Limonciello <mario_limonciello@dell.com>  Thu, 17 Mar 2016 10:34:50 -0500

fwupdate-signed (1.6) xenial; urgency=medium

  * debian/control: b-d on 0.5-2ubuntu1 version of fwupdate.

 -- Mario Limonciello <mario_limonciello@dell.com>  Wed, 16 Mar 2016 02:22:48 -0500

fwupdate-signed (1.5) xenial; urgency=medium

  * Call the correct script in postinstall.

 -- Mario Limonciello <mario_limonciello@dell.com>  Tue, 15 Mar 2016 23:06:29 -0500

fwupdate-signed (1.4) xenial; urgency=medium

  * Rebuild for 0.5-2 release.

 -- Mario Limonciello <mario_limonciello@dell.com>  Fri, 04 Mar 2016 11:38:14 -0600

fwupdate-signed (1.3) xenial; urgency=medium

  * Update makefile as well.

 -- Mario Limonciello <mario_limonciello@dell.com>  Wed, 16 Dec 2015 17:16:48 -0600

fwupdate-signed (1.2) xenial; urgency=medium

  * Pull the architecture specific signed file names.

 -- Mario Limonciello <mario_limonciello@dell.com>  Wed, 16 Dec 2015 17:01:02 -0600

fwupdate-signed (1.1) xenial; urgency=medium

  * New upstream version for fwupdate (0.5-1).
  * Update debian/control for new version dependency.
  * Update maintainer.

 -- Mario Limonciello <mario_limonciello@dell.com>  Wed, 16 Dec 2015 16:12:48 -0600

=== debian/control ===
Source: fwupdate-signed
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 9), python3, python3-apt, fwupdate (>= 0.5-2ubuntu4)
Standards-Version: 3.9.6

Package: fwupdate-signed
Architecture: amd64 i386 armhf arm64
Multi-Arch: foreign
Depends: ${misc:Depends}, fwupdate (= ${fwupdate:Version})
Recommends: secureboot-db
Built-Using: fwupdate (= ${fwupdate:Version})
Breaks: fwupdate-amd64-signed (<<1.9), fwupdate-i386-signed (<<1.9), fwupdate-arm64-signed (<<1.9), fwupdate-armhf-signed (<<1.9)
Replaces: fwupdate-amd64-signed (<<1.9), fwupdate-i386-signed (<<1.9), fwupdate-arm64-signed (<<1.9), fwupdate-armhf-signed (<<1.9)
Description: Linux Firmware Updater EFI signed binary
 fwupdate provides functionality to update system firmware. It has been 
 initially designed to update firmware using UEFI capsule updates, but 
 it is designed to be extensible to other firmware update standards.
 .
 This package contains a version of the fwupdate binary signed with
 Canonical's UEFI signing key.

Package: fwupdate-amd64-signed
Architecture: amd64
Depends: ${misc:Depends}, fwupdate-signed
Description: Linux Firmware Updater EFI binary (EFI-AMD64 version, signed)
 This is a transitional package to move to a common fwupdate-signed package

Package: fwupdate-i386-signed
Architecture: i386
Depends: ${misc:Depends}, fwupdate-signed
Description: Linux Firmware Updater EFI binary (EFI-I386 version, signed)
 This is a transitional package to move to a common fwupdate-signed package

Package: fwupdate-arm64-signed
Architecture: arm64
Depends: ${misc:Depends}, fwupdate-signed
Description: Linux Firmware Updater EFI binary (EFI-ARM64 version, signed)
 This is a transitional package to move to a common fwupdate-signed package

Package: fwupdate-armhf-signed
Architecture: armhf
Depends: ${misc:Depends}, fwupdate (= ${fwupdate:Version})
Description: Linux Firmware Updater EFI binary (EFI-ARMHF version, signed)
 This is a transitional package to move to a common fwupdate-signed package

## fwupdate-signed 1.11.3

=== debian/changelog ===
fwupdate-signed (1.11.3) xenial; urgency=medium

  * Build-depend on fwupdate 0.5-2ubuntu7 (LP: #1730343)

 -- Mario Limonciello <mario.limonciello@dell.com>  Mon, 15 Jan 2018 23:06:45 -0600

fwupdate-signed (1.11.2) xenial; urgency=medium

  * Build-depend on fwupdate 0.5-2ubuntu6 (LP: #1730343)

 -- Mario Limonciello <mario.limonciello@dell.com>  Mon, 06 Nov 2017 10:24:59 -0600

fwupdate-signed (1.11.1) xenial; urgency=medium

  * Build-depend on fwupdate 0.5-2ubuntu5 (LP: #1684034)

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 13 Jul 2017 22:18:08 -0600

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-Build-Depends: debhelper (>= 9), python3, python3-apt, fwupdate (>= 0.5-2ubuntu4)
+Build-Depends: debhelper (>= 9), python3, python3-apt, fwupdate (>= 0.5-2ubuntu7)
 Standards-Version: 3.9.6
 
 Package: fwupdate-signed

## fwupdate-signed 1.13

=== debian/changelog ===
fwupdate-signed (1.13) zesty; urgency=medium

  * Build depends on fwupdate 9-1.

 -- Mario Limonciello <mario.limonciello@dell.com>  Wed, 08 Mar 2017 01:40:19 -0600

fwupdate-signed (1.12) zesty; urgency=medium

  * Build depends on fwupdate 8-3.

 -- Mario Limonciello <mario.limonciello@dell.com>  Tue, 25 Oct 2016 11:37:14 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-Build-Depends: debhelper (>= 9), python3, python3-apt, fwupdate (>= 0.5-2ubuntu7)
+Build-Depends: debhelper (>= 9), python3, python3-apt, fwupdate (>= 9-1)
 Standards-Version: 3.9.6
 
 Package: fwupdate-signed

## fwupdate-signed 1.13.1

=== debian/changelog ===
fwupdate-signed (1.13.1) zesty; urgency=medium

  * Build-depend on fwupdate 9-1ubuntu0.17.04.1 (LP: #1730343).

 -- Mario Limonciello <mario.limonciello@dell.com>  Mon, 06 Nov 2017 10:13:05 -0600

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-Build-Depends: debhelper (>= 9), python3, python3-apt, fwupdate (>= 9-1)
+Build-Depends: debhelper (>= 9), python3, python3-apt, fwupdate (>= 9-1ubuntu0.17.04.1)
 Standards-Version: 3.9.6
 
 Package: fwupdate-signed

## fwupdate-signed 1.14

=== debian/changelog ===
fwupdate-signed (1.14) artful; urgency=medium

  * Build-depend on fwupdate 9-2.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 24 Aug 2017 23:43:07 -0700

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-Build-Depends: debhelper (>= 9), python3, python3-apt, fwupdate (>= 9-1ubuntu0.17.04.1)
+Build-Depends: debhelper (>= 9), python3, python3-apt, fwupdate (>= 9-2)
 Standards-Version: 3.9.6
 
 Package: fwupdate-signed

## fwupdate-signed 1.14.1

=== debian/changelog ===
fwupdate-signed (1.14.1) artful; urgency=medium

  * Build-depend on fwupdate 9-2ubuntu0.17.10.1 (LP: #1730343).

 -- Mario Limonciello <mario.limonciello@dell.com>  Mon, 20 Nov 2017 17:08:04 -0600

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-Build-Depends: debhelper (>= 9), python3, python3-apt, fwupdate (>= 9-2)
+Build-Depends: debhelper (>= 9), python3, python3-apt, fwupdate (>= 9-2ubuntu0.17.10.1)
 Standards-Version: 3.9.6
 
 Package: fwupdate-signed

## fwupdate-signed 1.18

=== debian/changelog ===
fwupdate-signed (1.18) bionic; urgency=medium

  * Update to standards version 4.1.3.
  * Build-depend on fwupdate 10-3 (LP: #1749471)

 -- Mario Limonciello <mario.limonciello@dell.com>  Wed, 14 Feb 2018 10:07:35 -0600

fwupdate-signed (1.17) bionic; urgency=medium

  * Build-depend on fwupdate 10-2.

 -- Mario Limonciello <mario.limonciello@dell.com>  Mon, 15 Jan 2018 10:25:01 -0600

fwupdate-signed (1.16) bionic; urgency=medium

  * Build-depend on fwupdate 10-1.

 -- Mario Limonciello <mario.limonciello@dell.com>  Mon, 08 Jan 2018 17:38:19 -0600

fwupdate-signed (1.15) bionic; urgency=medium

  * Build-depend on fwupdate 9-3

 -- Mario Limonciello <mario.limonciello@dell.com>  Mon, 06 Nov 2017 10:13:05 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: utils
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-Build-Depends: debhelper (>= 9), python3, python3-apt, fwupdate (>= 9-2ubuntu0.17.10.1)
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 9), python3, python3-apt, fwupdate (>= 10-3)
+Standards-Version: 4.1.3
 
 Package: fwupdate-signed
 Architecture: amd64 i386 armhf arm64

## fwupdate-signed 1.19bionic2

=== debian/changelog ===
fwupdate-signed (1.19bionic2) bionic; urgency=medium

  * Build-depend on fwupdate 12-3bionic2 (LP: #1785165)

 -- Mario Limonciello <mario.limonciello@dell.com>  Tue, 05 Feb 2019 14:01:10 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,10 @@
 Section: utils
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-Build-Depends: debhelper (>= 9), python3, python3-apt, fwupdate (>= 10-3)
+Build-Depends: debhelper (>= 9), python3, python3-apt, fwupdate (>= 12-3bionic2)
 Standards-Version: 4.1.3
+Vcs-Git: https://salsa.debian.org/efi-team/fwupdate-signed.git
+Vcs-Browser: https://salsa.debian.org/efi-team/fwupdate-signed
 
 Package: fwupdate-signed
 Architecture: amd64 i386 armhf arm64

=== debian/rules ===
--- 
+++ 
@@ -2,11 +2,13 @@
 
 include /usr/share/dpkg/default.mk
 
+EFIDIR ?= $(shell dpkg-vendor --query vendor | awk '{ print tolower($$0) }')
+
 %:
 	dh $@
 
-destdir := debian/fwupdate-$(DEB_HOST_ARCH)-signed
-docdir  := $(destdir)/usr/share/doc/fwupdate-$(DEB_HOST_ARCH)-signed
+destdir := debian/fwupdate-signed
+docdir  := $(destdir)/usr/share/doc/fwupdate-signed
 
 override_dh_installchangelogs:
 	dh_installchangelogs
@@ -19,5 +21,7 @@
 		-Vfwupdate:Version=$(shell cat version)
 
 override_dh_auto_install:
+	sed 's,#EFIDIR#,$(EFIDIR),' \
+		debian/fwupdate-signed.postrm.in > debian/fwupdate-signed.postrm
 	dh_auto_install --destdir=$(destdir)
